org.eclipse.cdt.core.settings.model.util

## Class PathEntryTranslator

- java.lang.Object
- - org.eclipse.cdt.core.settings.model.util.PathEntryTranslator

    public class PathEntryTranslator
    extends Object

### Nested Class Summary

Nested Classes
`static class` `PathEntryTranslator.PathEntryCollector`
`static class` `PathEntryTranslator.ReferenceSettingsInfo`

### Field Summary

Fields
`static int` `INCLUDE_ALL`
`static int` `INCLUDE_BUILT_INS`
`static int` `INCLUDE_USER`
`static int` `OP_ADD`
`static int` `OP_REMOVE`
`static int` `OP_REPLACE`

### Constructor Summary

Constructors
Constructor and Description
`PathEntryTranslator(org.eclipse.core.resources.IProject project, CConfigurationData cfgData)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`PathEntryTranslator.ReferenceSettingsInfo` `applyPathEntries(IPathEntry[] usrEntries, IPathEntry[] sysEntries, int op)`
`PathEntryTranslator.ReferenceSettingsInfo` `applyPathEntries(PathEntryResolveInfo info, int op)`
`static PathEntryTranslator.PathEntryCollector` `collectEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription)`
`static IPathEntry[]` `decodePathEntries(org.eclipse.core.resources.IProject project, ICStorageElement el)`
`static IPathEntry[]` `getPathEntries(org.eclipse.core.resources.IProject project, ICConfigurationDescription cfgDescription, int flags)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### OP_ADD

    public static final int OP_ADD

See Also:
  Constant Field Values

#### OP_REMOVE

    public static final int OP_REMOVE

See Also:
  Constant Field Values

#### OP_REPLACE

    public static final int OP_REPLACE

See Also:
  Constant Field Values

#### INCLUDE_BUILT_INS

    public static final int INCLUDE_BUILT_INS

See Also:
  Constant Field Values

#### INCLUDE_USER

    public static final int INCLUDE_USER

See Also:
  Constant Field Values

#### INCLUDE_ALL

    public static final int INCLUDE_ALL

See Also:
  Constant Field Values

### Constructor Detail

#### PathEntryTranslator

    public PathEntryTranslator(org.eclipse.core.resources.IProject project,
                               CConfigurationData cfgData)

### Method Detail

#### applyPathEntries

    public PathEntryTranslator.ReferenceSettingsInfo applyPathEntries(PathEntryResolveInfo info,
                                                                      int op)

#### applyPathEntries

    public PathEntryTranslator.ReferenceSettingsInfo applyPathEntries(IPathEntry[] usrEntries,
                                                                      IPathEntry[] sysEntries,
                                                                      int op)

#### decodePathEntries

    public static IPathEntry[] decodePathEntries(org.eclipse.core.resources.IProject project,
                                                 ICStorageElement el)

#### collectEntries

    public static PathEntryTranslator.PathEntryCollector collectEntries(org.eclipse.core.resources.IProject project,
                                                                        ICConfigurationDescription cfgDescription)

#### getPathEntries

    public static IPathEntry[] getPathEntries(org.eclipse.core.resources.IProject project,
                                              ICConfigurationDescription cfgDescription,
                                              int flags)